/*

  Humidity And Temperature Sensor - SI7021 GY-21

  Parts required:
  - Arduino Board
  - Humidity And Temperature Sensor - SI7021 GY-21

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 11 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include "Adafruit_Si7021.h"                    // includes library 

Adafruit_Si7021 sensor = Adafruit_Si7021();     // create object from Adafruit_Si7021

void setup() {
  Serial.begin(9600);                           // start Serial Monitor Communication

  while (!Serial) {                             // wait for Serial communication is open
    delay(10);                                  // wait 10ms
  }

  sensor.begin();                               // start sensor 
  
}

void loop() {
  Serial.print("Humidity:    ");                // print text to Serial Monitor
  Serial.print(sensor.readHumidity(), 2);       // print sensor humidity
  Serial.print("\tTemperature: ");              // print tab key and text 
  Serial.println(sensor.readTemperature(), 2);  // print sensor temperature
  delay(500);                                   // wait 500ms
}
